Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class IDLTypeHelper

    java.lang.Object
      |
      +--org.omg.CORBA.IDLTypeHelper

public class IDLTypeHelper
extends java.lang.Object

Helper class for : IDLType

Author:
  OpenORB Compiler

Constructor Summary
`IDLTypeHelper()`

Method Summary
`static IDLType` | `extract(Any a)` Extract IDLType from an any
`static java.lang.String` | `id()` Return the IDLType IDL ID
`static void` | `insert(Any a, IDLType t)` Insert IDLType into an any
`static IDLType` | `narrow(Object obj)` Narrow CORBA::Object to IDLType
`static IDLType` | `read(InputStream istream)` Read IDLType from a marshalled stream
`static TypeCode` | `type()` Return the IDLType TypeCode
`static IDLType` | `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to IDLType
`static void` | `write(OutputStream ostream, IDLType value)` Write IDLType into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IDLTypeHelper

    public IDLTypeHelper()

Method Detail

### insert

    public static void insert(Any a,
                              IDLType t)

  Insert IDLType into an any
  Parameters:
    `a` - an any
    `t` - IDLType value

### extract

    public static IDLType extract(Any a)

  Extract IDLType from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted IDLType value

### type

    public static TypeCode type()

  Return the IDLType TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the IDLType IDL ID
  Returns:
    an ID

### read

    public static IDLType read(InputStream istream)

  Read IDLType from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed IDLType value

### write

    public static void write(OutputStream ostream,
                             IDLType value)

  Write IDLType into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - IDLType value

### narrow

    public static IDLType narrow(Object obj)

  Narrow CORBA::Object to IDLType
  Parameters:
    `obj` - the CORBA Object
  Returns:
    IDLType Object

### unchecked_narrow

    public static IDLType unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to IDLType
  Parameters:
    `obj` - the CORBA Object
  Returns:
    IDLType Object

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD